TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.connect.getIntegrationByToken({
token: "<value>",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.connect.get_integration_by_token(token: '<value>')
unless res.get_connect_integration_by_token_token_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.connect.get_integration_by_token(token="<value>")
# Handle response
print(res)curl --request GET \
--url https://api.kombo.dev/v1/connect/integration-by-token/{token} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/connect/integration-by-token/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/connect/integration-by-token/{token}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/connect/integration-by-token/{token}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/connect/integration-by-token/{token}")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"tool": "personio",
"id": "personio:CBNMt7dSNCzBdnRTx87dev4E",
"end_user_origin_id": "36123",
"end_user_organization_name": "Acme, Inc.",
"end_user_email": "user@example.com",
"setup_status": "COMPLETED"
}
}
Kombo Connect
Get integration by token
Use this endpoint with the token you get from the connection flow to retrieve information about the created integration.
GET
/
connect
/
integration-by-token
/
{token}
TypeScript
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.connect.getIntegrationByToken({
token: "<value>",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.connect.get_integration_by_token(token: '<value>')
unless res.get_connect_integration_by_token_token_positive_response.nil?
# handle response
endfrom kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.connect.get_integration_by_token(token="<value>")
# Handle response
print(res)It works in a similar way as the OAuth2 code flow to securely retrieve information and connect the integration to your user.
Check out our full guide for more details about implementing the connection flow into your app.This endpoint is used to ensure users can’t trick your system connecting their account in your system to another customers integration. You don’t get the integration ID from the
showKomboConnect(link) function but only the short lived token used
for this endpoint so that users can’t send you arbitrary data that you would put
into your system.Authorizations
Path Parameters
GET /connect/integration-by-token/:token Parameter
Response
GET /connect/integration-by-token/:token Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{ "tool": "personio", "id": "personio:CBNMt7dSNCzBdnRTx87dev4E", "end_user_origin_id": "36123", "end_user_organization_name": "Acme, Inc.", "end_user_email": "user@example.com", "setup_status": "COMPLETED" }
Was this page helpful?